# Endpoints

Here below the list of all the useful endpoints you might need to interact with testnet data.

Note that not all endpoints may be active right now on testnet.

{% hint style="success" %}
**TIP**

Peers & seeds are easy to find on our [Discord Group](https://discord.gg/Nv9EUbRnKb). After joining, look for the #testnet-seeds-peers channel and ask the current members for one if needed.
{% endhint %}

### RPC[​](https://docs.realio.network/testnet/endpoints#rpc) <a href="#rpc" id="rpc"></a>

`<node ip address>:26657`

### REST LCD[​](https://docs.realio.network/testnet/endpoints#rest-lcd) <a href="#rest-lcd" id="rest-lcd"></a>

`<node ip address>:1317`

### ETH JSON RPC[​](https://docs.realio.network/testnet/endpoints#eth-json-rpc) <a href="#eth-json-rpc" id="eth-json-rpc"></a>

`<node ip address>:8545`

### ETH WS[​](https://docs.realio.network/testnet/endpoints#eth-ws) <a href="#eth-ws" id="eth-ws"></a>

`wss://<node ip address>:8546`


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.realio.network/testnet/endpoints.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
